Loading...
Searching...
No Matches
gridfire::exceptions::StaleEngineError Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::StaleEngineError:
[legend]
Collaboration diagram for gridfire::exceptions::StaleEngineError:
[legend]

## Public Member Functions

| StaleEngineError (std::string message)
const char * | what () const noexcept override

## Private Attributes

std::string | m_message

## Constructor & Destructor Documentation

## StaleEngineError()

gridfire::exceptions::StaleEngineError::StaleEngineError | ( | std::string | message | ) |

inlineexplicit

## Member Function Documentation

## what()

const char * gridfire::exceptions::StaleEngineError::what | ( |  | ) | const

inlinenodiscardoverridenoexcept

## Member Data Documentation

## m_message

std::string gridfire::exceptions::StaleEngineError::m_message

private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h